<?php
namespace Controller;

use Exception\CustomException;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Util\InstanceProvider;

class Notification extends Simple
{
    /** @var \Service\Notification $notificationService */
    protected $notificationService;


    public function __construct(\Service\Notification $notificationService)
    {
        $this->notificationService = $notificationService;
    }

    public function getNotifications(Request $request, Response $response)
    {
        $notifications = $this->notificationService->getNotifications();
        $response->addDataSet(new DataSet('getNotifications', $notifications));
    }

    public function readNotification(Request $request, Response $response){
        $row = $request->getParameters();
        $notificationId = $row['NRINFECOMOPER'];
        $this->notificationService->readNotification($notificationId);
    }
}
